v.net.centrality - GRASS manual
Author: GRASS Development Team
Description: v.net.centrality: Computes degree, centrality, betweenness, closeness and eigenvector centrality measures in the network.
Keywords: vector, network, centrality measures

## NAME

v.net.centrality - Computes degree, centrality, betweenness, closeness and eigenvector centrality measures in the network.

## KEYWORDS

vector, network, centrality measures

## SYNOPSIS

v.net.centrality
v.net.centrality --help
v.net.centrality [-ga] input=name [arc_layer=string] [node_layer=string] output=name [cats=range] [where=sql_query] [arc_column=name] [arc_backward_column=name] [node_column=string] [degree=name] [closeness=name] [betweenness=name] [eigenvector=name] [iterations=integer] [error=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-g
  Use geodesic calculation for longitude-latitude projects
-a
  Add points on nodes
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
arc_layer=string
  Arc layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
node_layer=string
  Node layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 2
output=name [required]
  Name for output vector map
cats=range
  Category values
  Example: 1,3,7-9,13
where=sql_query
  WHERE conditions of SQL statement without 'where' keyword
  Example: income < 1000 and population >= 10000
arc_column=name
  Arc forward/both direction(s) cost column (number)
arc_backward_column=name
  Arc backward direction cost column (number)
node_column=string
  Node cost column (number)
degree=name
  Name of degree centrality column
closeness=name
  Name of closeness centrality column
betweenness=name
  Name of betweenness centrality column
eigenvector=name
  Name of eigenvector centrality column
iterations=integer
  Maximum number of iterations to compute eigenvector centrality
  Default: 1000
error=float
  Cumulative error tolerance for eigenvector centrality
  Default: 0.1

## DESCRIPTION

v.net.centrality computes degree, closeness, betweenness and eigenvector centrality measures.

## NOTES

The module computes various centrality measures for each node and stores them in the given columns of an attribute table, which is created and linked to the output map. For the description of these, please check the following wikipedia article. If the column name is not given for a measure then that measure is not computed. If -a flag is set then points are added on nodes without points. Also, the points for which the output is computed can be specified by cats, layer and where parameters. However, if any of these parameters is present then -a flag is ignored and no new points are added.
Betweenness measure is not normalised. In order to get the normalised values (between 0 and 1), each number needs to be divided by N choose 2=N*(N-1)/2 where N is the number of nodes in the connected component. Computation of eigenvector measure terminates if the given number of iterations is reached or the cumulative squared error between the successive iterations is less than error.

## EXAMPLES

Compute closeness and betweenness centrality measures for each node and produce a map containing not only points already present in the input map but a map with point on every node.

    v.net.centrality input=roads output=roads_cent closeness=closeness \
          betweenness=betweenness -a

## SEE ALSO

v.net, v.generalize

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

## SOURCE CODE

Available at: v.net.centrality source code (history)

Latest change: Sunday Feb 15 15:28:21 2026 in commit: 5cee43f83d1d6e0f13eb1bf2a265c2512d8ba7be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.6.0dev Reference Manual